API Reference
Register (Create) an Apple Pay on the Web Domain
POST
/utilities/apple_pay/domains/www.example.comResponse fields:
| Name | Type | Description |
|---|---|---|
| created_at | DateTime | Timestamp the record was created at |
| updated_at | DateTime | Timestamp of the last update to the record |
| domain | String | The domain registered with Apple |
| status | String |
The status of the domain registration. Possible values are:
|
Body Parameters
asyncboolean(optional)· Defaults to falseIf true the request will return immediately. Merchants need to subscribe to webhooks, or poll the GET endpoint to get the updated status
Response
200Result
json
{
"errors" : [],
"response" : {
"created_at" : "2021-04-17T22:28:44+10:00",
"domain" : "test.com",
"status" : "Active",
"updated_at" : "2021-04-17T12:28:45+00:00"
},
"successful" : true,
"test" : true
}404Result
json
{
"errors" : [
"Record for www.example.com not found"
],
"response" : {},
"successful" : false,
"test" : true
}